Index: lib/matplotlib/axes.py
===================================================================
--- lib/matplotlib/axes.py	(revision 8178)
+++ lib/matplotlib/axes.py	(working copy)
@@ -457,8 +457,8 @@
         self._cachedRenderer = None
         self.set_navigate(True)
         self.set_navigate_mode(None)
+        self.set_auto_key_press(True)
 
-
         if xscale:
             self.set_xscale(xscale)
         if yscale:
@@ -2404,6 +2404,20 @@
         """
         self._navigate_mode = b
 
+    def set_auto_key_press(self, b):
+        """
+        Enable / Disable processing of key-press events in
+        backend_bases.FigureManagerBase.key_press for this axes.
+        """
+        self._auto_key_press = b
+
+    def get_auto_key_press(self, b):
+        """
+        Get current status of processing of key-press events in
+        backend_bases.FigureManagerBase.key_press for this axes.
+        """
+        return self._auto_key_press
+
     def start_pan(self, x, y, button):
         """
         Called when a pan operation has started.
Index: lib/matplotlib/backend_bases.py
===================================================================
--- lib/matplotlib/backend_bases.py	(revision 8178)
+++ lib/matplotlib/backend_bases.py	(working copy)
@@ -1883,6 +1883,9 @@
 
     def key_press(self, event):
 
+        if event.inaxes and event.inaxes._auto_key_press is False:
+            return
+
         # these bindings happen whether you are over an axes or not
         #if event.key == 'q':
         #    self.destroy() # how cruel to have to destroy oneself!
